Krzysiek Borek10.01.2018
SpectrePatch – łatka przeciwko Spectre dla użytkowników iOS 11.1.2 i niższych

Apple parę dni temu wydało iOS 11.2.2 zawierający nową wersję Safari, która nie jest już podatna na lukę w zabezpieczeniach znaną pod nazwą Spectre.

Oprogramowanie jest dostępne dla wszystkich, kompatybilnych z nim urządzeń, ale co z użytkownikami sprzętu z Jailbreak?

Do dziś rzeczywiście byli w tarapatach, ponieważ nie pojawiła się żadna łatka przeciwdziałająca poważnej luce w zabezpieczeniach. Na szczęście na pomoc przyszedł Ryley Angus i jego wtyczka SpectrePatch, która jest dostępna obecnie w Cydii.

Jeżeli nie zależy wam na Jailbreak lub nie czekacie na działającą z nim Cydię, powinniście niezwłocznie zaktualizować swoje urządzenia mobilne do iOS 11.2.2. Możecie to zrobić bezpośrednio na urządzeniu za pomocą OTA lub pobrać pełne oprogramowanie przez iTunes.

Malutką łatkę możecie pobrać dodając do źródeł w Cydii https://ryleyangus.com/repo/, autor powiedział, że wtyczka wyszukuje znamiona ataku Spectre i łata je w czasie rzeczywistym. Po instalacji jest ona obecna we wszystkich procesach związanych z WebKit, również tych uruchamianych przez domyślnie dostępne aplikacje w iOS. Problem w tym, że wtyczka nie zapewnia 100% ochrony, ponieważ nie poradzi sobie z atakami opartymi o kod tej luki w zabezpieczeniach.

Macie urządzenia mobilne z iOS 11.1.2 lub niższym i zdecydowaliście się na Jailbreak? Zdecydowanie powinniście dodać źródło autora do Cydii i pobrać SpectrePatch.

Źródło: redmondpie.com
Polub nas na Facebooku, obserwuj na Twitterze, dodaj do Google+ lub RSS

The Sins never die
@krzysiek_borek